/****************************************************************************/
/**                                                                        **/
/**                                Example.c                               **/
/**                                                                        **/
/** Example program for Bitmap.c                                           **/
/**                                                                        **/
/** Copyright (C) Marcel de Kogel 1996                                     **/
/**     You are not allowed to distribute this software commercially       **/
/**     Please, notify me, if you make any changes to this file            **/
/****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include "Bitmap.h"

int main (void)
{
 unsigned char *p;
 FILE *f;
 unsigned len;
 int nColours,tmp;
 printf ("Opening example.raw... ");
 fflush (stdout);
 f=fopen ("example.raw","rb");
 if (!f)
 {
  puts ("FAILED");
  return 1;
 }
 printf ("OK\nLoading... ");
 fflush (stdout);
 fseek (f,0,SEEK_END);
 len=ftell (f);
 fseek (f,0,SEEK_SET);
 p=malloc (len);
 if (!p)
 {
  puts ("OUT OF MEMORY");
  return 1;
 }
 if (fread(p,1,len,f)!=len)
 {
  puts ("FAILED");
  return 1;
 }
 fclose (f);
 printf ("OK\nWriting example.bmp... ");
 fflush (stdout);
 nColours=(p[12]<<8)+p[13];
 tmp=WriteBitmap ("example.bmp",8,nColours,256,160,144,
                  p+32+nColours*3+16*256+48,p+32);
 if (tmp<0)
 {
  printf ("FAILED: %s\n",(tmp==-1)? "File couldn't be opened":
                         (tmp==-2)? "Write error": "Unknown error");
  return 1;
 }
 puts ("OK");
 return 0;
}
